/*
 * config.h
 *
 *  Created on: 16/mar/2014
 *      Author: fb
 */

#ifndef CONFIG_H_
#define CONFIG_H_

#include "system.h"

/* define macros to access parallel DE2 Basic Computer port registers */
#define EDGE_CAPTURE_REG_FFSET		3

#define RED_LEDS_DATA_REG 			(*(volatile unsigned int*) RED_LEDS_BASE)
#define GREEN_LEDS_DATA_REG 		(*(volatile unsigned int*) GREEN_LEDS_BASE)
#define HEX3_HEX0_DATA_REG 			(*(volatile unsigned int*) HEX3_HEX0_BASE)
#define HEX7_HEX4_DATA_REG 			(*(volatile unsigned int*) HEX7_HEX4_BASE)
#define PUHBUTTONS_DATA_REG 		(*(volatile unsigned int*) PUSHBUTTONS_BASE)
#define PUHBUTTONS_EDGE_CAPTURE_REG	(*(volatile unsigned int*) (PUSHBUTTONS_BASE + 4*EDGE_CAPTURE_REG_FFSET))
#define SLIDER_SWITCHES_DATA_REG	(*(volatile unsigned int*) SLIDER_SWITCHES_BASE)



#define KEY_STOP 		2
#define KEY_LEFT 		3
#define KEY_RIGHT 		1

#define ROT_PERIOD		500 /* ms */
#define LEFT_LED_ON		0x80
#define RIGHT_LED_ON	1

#endif /* CONFIG_H_ */
